Subject: Re: bug#56682: feature/improved-locked-narrowing 9dee6df39c: Reworked locked narrowing.

From: Juri Linkov <[email-masked]>
Date: Mon, 30 Jan 2023 19:24:56 +0200

>> > And what are your reasons for removing this?  It is hard to tell whether
>> > or not I agree without knowing to what I should agree ;-)
>>
>> The reason is that I'm now convinced that it is not a good solution to the
>> problem of ill-behaving modes in the presence of long lines.
>
> So we are removing all the stuff that prevented font-lock from slowing
> down redisplay when long lines are in the buffer?  IOW, something
> which we have for several months, and which so far brought up only one
> complaint?  Frankly, this makes no sense to me, unless we delay the
> pretest for another half year or so.  It's too late for such changes.
>
> Or am I missing something?

It would be sad to lose this helpful feature, but there are too many
problems with weird behavior in buffers with long-line-optimizations.

For example, when there is at least one long line near the end of
a diff-mode buffer, then sometimes the buffer gets truncated,
'diff-hunk-file-names' returns nil on diff headings,
and there are a lot of such errors in the Messages buffer:

  Error during redisplay: (jit-lock-function 1) signaled (args-out-of-range #<buffer *vc-diff*> 1118 1370)
  ...

Maybe it's still possible to fix this?